@keyframes snake {
    0%   {transform: rotateZ(0);}
    5%   {transform: rotateZ(30deg);}
    10%   {transform: rotateZ(-30deg);}
    15%  {transform: rotateZ(30deg);}
    20%  {transform: rotateZ(-30deg);}
    25%  {transform: rotateZ(30deg);}
    30%  {transform: rotateZ(0deg);}
}

@keyframes snake_horizontal {
    0%   {transform: translateX(0);}
    5%   {transform: translateX(5px);}
    10%   {transform: translateX(-5px);}
    15%  {transform: translateX(5px);}
    20%  {transform: translateX(-5px);}
    25%  {transform: translateX(5px);}
    30%  {transform: translateX(0);}
}

@keyframes snake-high {
    0%   {transform: rotateZ(0);}
    3%   {transform: rotateZ(30deg);}
    6%   {transform: rotateZ(-30deg);}
    9%  {transform: rotateZ(30deg);}
    12%  {transform: rotateZ(-30deg);}
    15%  {transform: rotateZ(30deg);}
    18%  {transform: rotateZ(0deg);}
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}